<?php
####################################################################################################
## File : items.load.php
## Author : Nils Laumaill
## Description : Loads things depending on the page ITEMS. It is called by items.php page.
## 
## DON'T CHANGE !!!
## 
####################################################################################################
?>

<script type="text/javascript">   
    function AddNewNode(){
        //Select first child node in tree
        $('#2').click();
        //Add new node to selected node
        simpleTreeCollection.get(0).addNode(1,'A New Node')   
    }
    
    function EditNode(){
        //Select first child node in tree
        $('#2').click();
        //Add new node to selected node
        simpleTreeCollection.get(0).addNode(1,'A New Node')   
    }
    
    function DeleteNode(){
        //Select first child node in tree
        $('#2').click();
        //Add new node to selected node
        simpleTreeCollection.get(0).delNode()   
    }
    
    function showItemsInTree(type){
        if ( document.getElementById('img_funnel').src == "includes/images/funnel_plus.png" )
            document.getElementById('img_funnel').src="includes/images/funnel_minus.png"
        else
            document.getElementById('img_funnel').src="includes/images/funnel_plus.png"
    }
    
    //FUNCTION mask/unmask passwords characters
    function ShowPassword(){
        if ( document.getElementById('id_pw').innerHTML.indexOf('*',1) > 0 )
            document.getElementById('id_pw').innerHTML = document.getElementById('hid_pw').value;
        else
            document.getElementById('id_pw').innerHTML = document.getElementById('id_pw').innerHTML.replace(/./g, " * ");
    }


//###########
//## FUNCTION : Launch the listing of all items of one category
//###########
function ListerItems(groupe_id){
    if ( groupe_id != undefined ){
        LoadingPage();
        
        //clean form
        document.getElementById('id_label').innerHTML = "";
        document.getElementById('id_pw').innerHTML = "";
        document.getElementById('id_url').innerHTML = "";
        document.getElementById('id_desc').innerHTML = "";
        document.getElementById('id_login').innerHTML = "";
        document.getElementById('id_info').innerHTML = "";
        document.getElementById('id_restricted_to').innerHTML = "";
        document.getElementById('id_files').innerHTML = "";
        document.getElementById('id_tags').innerHTML = "";
                    
        //Disable menu buttons       
        $('#menu_button_edit_item,#menu_button_del_item,#menu_button_add_fav,#menu_button_del_fav,#menu_button_show_pw,#menu_button_copy_pw,#menu_button_copy_login,#menu_button_copy_link,#menu_button_copy_item').attr('disabled', 'disabled');       
        
        //ajax query
        var data = "type=lister_items_groupe"+
                    "&id="+groupe_id;
        httpRequest("sources/items.queries.php",data);
    }
}

function pwOptions(elem){
    if ( elem != "" ) elem = elem+"_custom_pw";
    else elem = "custom_pw";
    if ( document.getElementById(elem).style.display=="")
        document.getElementById(elem).style.display="none";
    else 
        document.getElementById(elem).style.display="";        
}

function pwGenerate(elem){         
    if ( elem != "" ) elem = elem+"_"; 
     
    //show ajax image
    $("#"+elem+"pw_wait").show();
    
    var data = "type=pw_generate"+
                "&size="+document.getElementById(elem+'pw_size').value+
                "&num="+document.getElementById(elem+'pw_numerics').checked+
                "&maj="+document.getElementById(elem+'pw_maj').checked+
                "&symb="+document.getElementById(elem+'pw_symbols').checked+
                "&elem="+elem;            
    httpRequest("sources/items.queries.php",data+"&force=false");
}

function pwCopy(elem){
    if ( elem != "" ) elem = elem+"_";
    document.getElementById(elem+'pw2').value = document.getElementById(elem+'pw1').value;
}

function catSelected(val){
    document.getElementById("hid_cat").value= val;   
}

function RecupComplexite(val,edit){
    var data = "type=recup_complex"+
                "&groupe="+val+
                "&edit="+edit;
    httpRequest("sources/items.queries.php",data);
}

function AjouterItem(){
    document.getElementById('error_detected').value = '';   //Refresh error foolowup
    var erreur = "";
    var  reg=new RegExp("[.|;|:|!|=|+|-|*|/|#|\"|'|&|]");
    
    if ( document.getElementById("label").value == "" ) erreur = "<?php echo $txt['error_label'];?>";
    else if ( document.getElementById("pw1").value == "" ) erreur = "<?php echo $txt['error_pw'];?>";
    else if ( document.getElementById("categorie").value == "na" ) erreur = "<?php echo $txt['error_group'];?>";
    else if ( document.getElementById("pw1").value != document.getElementById("pw2").value ) erreur = "<?php echo $txt['error_confirm'];?>";
    else if ( document.getElementById("new_item_salt_key").style.display == "" && document.getElementById("personal_salt_key").value == "" ) erreur = "<?php echo $txt['personal_salt_key_empty'];?>"; 
    else if ( document.getElementById("item_tags").value != "" && reg.test(document.getElementById("item_tags").value) ) erreur = "<?php echo $txt['error_tags'];?>";
    else{
        //vrifier le niveau de complexit du mdp
        if (
            ( document.getElementById("bloquer_creation_complexite").value == 0 && parseInt(document.getElementById("mypassword_complex").value) >= parseInt(document.getElementById("complexite_groupe").value) )
            ||
            ( document.getElementById("bloquer_creation_complexite").value == 1 )
            ||
            ( document.getElementById("new_item_salt_key").style.display == "" )
        ){
        
            LoadingPage();  //afficher image de chargement
            var annonce = 0;
            if ( document.getElementById('annonce').checked ) annonce = 1;
            
            //grer les restrictions
            var myselect = document.getElementById('restricted_to_list');
            var restriction = "";
            for (var loop=0; loop < myselect.options.length; loop++) {
                if (myselect.options[loop].selected == true && myselect.options[loop].value != "") restriction = restriction + myselect.options[loop].value + ";";
            }
            if ( restriction != "" && restriction.indexOf(document.getElementById('form_user_id').value) == "-1" )
                restriction = document.getElementById('form_user_id').value+";"+restriction
            if ( restriction == ";" ) restriction = "";
            
            //grer la liste de diffusion
            var myselect = document.getElementById('annonce_liste_destinataires');
            var diffusion = "";
            for (var loop=0; loop < myselect.options.length; loop++) {
                if (myselect.options[loop].selected == true) diffusion = diffusion + myselect.options[loop].value + ";";
            }
            if ( diffusion == ";" ) diffusion = "";
            
            var salt_key = "";
            if ( document.getElementById("personal_salt_key").value != "" ) salt_key = escape(document.getElementById("personal_salt_key").value);
            
            var data = "type=new_item"+
                        "&pw="+escape(document.getElementById('pw1').value)+
                        "&label="+escape(document.getElementById('label').value)+
                        "&desc="+escape(document.getElementById('desc').value)+
                        "&url="+escape(document.getElementById('url').value)+
                        "&login="+document.getElementById('item_login').value+
                        "&annonce="+annonce+
                        "&diffusion="+diffusion+
                        "&categorie="+document.getElementById('categorie').value+
                        "&restricted_to="+restriction+
                        "&tags="+document.getElementById('item_tags').value+
                        "&salt_key="+salt_key+
                        "&random_id_from_files="+document.getElementById('random_id').value;
            httpRequest("sources/items.queries.php",data);
            //Clear upload queue
            $('#item_file_queue').html('');
            //Select 1st tab
            $( "#item_tabs" ).tabs({ selected: 0 });
            //Close dialognox
            $("#div_formulaire_saisi").dialog('close');
        }else{
            document.getElementById('new_show_error').innerHTML = "<?php echo $txt['error_complex_not_enought'];?>";
            $("#new_show_error").show();
        }
    }        
    if ( erreur != "") {            
        document.getElementById('new_show_error').innerHTML = erreur;
        $("#new_show_error").show();
    }
}

function EditerItem(){
    var erreur = "";
    var  reg=new RegExp("[.|,|;|:|!|=|+|-|*|/|#|\"|'|&]");
    if ( document.getElementById("edit_label").value == "" ) erreur = "<?php echo $txt['error_label'];?>";
    else if ( document.getElementById("edit_pw1").value == "" ) erreur = "<?php echo $txt['error_pw'];?>";
    else if ( document.getElementById("edit_pw1").value != document.getElementById("edit_pw2").value ) erreur = "<?php echo $txt['error_confirm'];?>";
    else if ( document.getElementById("edit_item_salt_key").style.display == "" && document.getElementById("edit_item_salt_key").value == "" ) erreur = "<?php echo $txt['personal_salt_key_empty'];?>"; 
    else if ( document.getElementById("edit_tags").value != "" && reg.test(document.getElementById("edit_tags").value) ) erreur = "<?php echo $txt['error_tags'];?>";
    else{
        //vrifier le niveau de complexit du mdp
        if ( ( 
                document.getElementById("bloquer_modification_complexite").value == 0 && 
                parseInt(document.getElementById("edit_mypassword_complex").value) >= parseInt(document.getElementById("complexite_groupe").value) 
            )
            ||
            ( document.getElementById("bloquer_modification_complexite").value == 1 )
            ||
            ( document.getElementById("edit_item_salt_key").style.display == "" )
        ){
            LoadingPage();  //afficher image de chargement
            var annonce = 0;
            if ( document.getElementById('edit_annonce').checked ) annonce = 1;
            
            //grer les restrictions
            var myselect = document.getElementById('edit_restricted_to_list');
            var restriction = "";
           for (var loop=0; loop < myselect.options.length; loop++) {
                if (myselect.options[loop].selected == true && myselect.options[loop].value != "") restriction = restriction + myselect.options[loop].value + ";";
            }
            if ( restriction == ";" ) restriction = "";
            
            //grer la liste de diffusion
            var myselect = document.getElementById('edit_annonce_liste_destinataires');
            var diffusion = "";
            for (var loop=0; loop < myselect.options.length; loop++) {
                if (myselect.options[loop].selected == true) diffusion = diffusion + myselect.options[loop].value + ";";
            }
            if ( diffusion == ";" ) diffusion = "";
            
            //changer le caractere & 
            var pw = document.getElementById('edit_pw1').value;
            if ( pw.indexOf('&') != 0 ){
                pw = pw.replace('&','ETCOMMERCIAL');
            }
            if ( pw.indexOf('+') != 0 ){
                pw = pw.replace('+','SIGNEPLUS');
            }
            
            var salt_key = "";
            if ( document.getElementById("edit_personal_salt_key").value != "" && $("#recherche_group_pf").val() == 1 ) salt_key = escape(document.getElementById("edit_personal_salt_key").value);
            
            //envoyer la requete
            var data = "type=update_item"+
                        "&pw="+pw+
                        "&label="+escape(document.getElementById('edit_label').value)+
                        "&description="+escape(document.getElementById('edit_desc').value)+
                        "&url="+escape(document.getElementById('edit_url').value)+
                        "&login="+escape(document.getElementById('edit_item_login').value)+
                        "&categorie="+escape(document.getElementById('edit_categorie').value)+
                        "&annonce="+annonce+
                        "&diffusion="+diffusion+
                        "&id="+document.getElementById('id_item').value+
                        "&restricted_to="+restriction+
                        "&tags="+document.getElementById('edit_tags').value+
                        "&salt_key="+salt_key; 
            httpRequest("sources/items.queries.php",data);
            //Clear upload queue
            $('#item_edit_file_queue').html('');
            //Select 1st tab
            $( "#item_edit_tabs" ).tabs({ selected: 0 });
            //Close dialogbox
            $("#div_formulaire_edition_item").dialog('close');
        }else{
            document.getElementById('edit_show_error').innerHTML = "<?php echo $txt['error_complex_not_enought'];?>";
            $("#edit_show_error").show();
        }
    }        
      
    if ( erreur != "") {            
        document.getElementById('edit_show_error').innerHTML = erreur;
        $("#edit_show_error").show();
    }
}

function AjouterFolder(){
    if ( document.getElementById("new_rep_titre").value == "0" ) alert("<?php echo $txt['error_group_label'];?>");
    else if ( document.getElementById("new_rep_complexite").value == "" ) alert("<?php echo $txt['error_group_complex'];?>");
    else{
        var data = "type=new_rep"+
                    "&title="+escape(document.getElementById('new_rep_titre').value)+
                    "&complexite="+escape(document.getElementById('new_rep_complexite').value)+
                    "&groupe="+document.getElementById("new_rep_groupe").value;
        httpRequest("sources/items.queries.php",data);
    }
}

function EditerFolder(){
    if ( document.getElementById("edit_rep_titre").value == "" ) alert("<?php echo $txt['error_group_label'];?>");
    else if ( document.getElementById("edit_rep_groupe").value == "0" ) alert("<?php echo $txt['error_group'];?>");
    else if ( document.getElementById("edit_rep_complexite").value == "" ) alert("<?php echo $txt['error_group_complex'];?>");
    else{
        var data = "type=update_rep"+
                    "&title="+escape(document.getElementById('edit_rep_titre').value)+
                    "&complexite="+escape(document.getElementById('edit_rep_complexite').value)+
                    "&groupe="+document.getElementById("edit_rep_groupe").value;
        httpRequest("sources/items.queries.php",data);
    }
}

function SupprimerFolder(){
    if ( document.getElementById("delete_rep_groupe").value == "0" ) alert("<?php echo $txt['error_group'];?>");
    else if ( confirm("<?php echo $txt['confirm_delete_group'];?>") ) {
        var data = "type=delete_rep"+
                    "&groupe="+document.getElementById("delete_rep_groupe").value;
        httpRequest("sources/items.queries.php",data);
    }
}

function AfficherDetailsItem(id, salt_key_required, expired_item){
    LoadingPage();  //afficher image de chargement
    if ( document.getElementById("is_admin").value == "1" ){
        $('#menu_button_edit_item,#menu_button_del_item,#menu_button_copy_item').attr('disabled', 'disabled');
    }
    
    var post = "ok";
    var data = "type=show_details_item"+
                "&id="+id+
                "&expired_item="+expired_item;
    
    if ( document.getElementById('recherche_group_pf').value == 1 )
        salt_key_required = 1;
    
    //Ask for SaltKey
    if ( salt_key_required == 1 ){
        sk = prompt("<?php echo $txt['personal_salt_key'];?>","<?php if (isset($_SESSION['salt_key'])) echo $_SESSION['salt_key'];?>");
        if ( sk == null || sk == "" ) post = "nok";
        data = data+
                "&salt_key_required="+salt_key_required + 
                "&salt_key="+sk;
    }
    if ( post == "ok" ) httpRequest("sources/items.queries.php",data);
    else LoadingPage();  //afficher image de chargement
}    


//Grer l'affichage d'une recherche
function AfficherRecherche(){
    if ( document.getElementById('recherche_id').value != "" ){
        ListerItems(document.getElementById('recherche_groupe').value);
        AfficherDetailsItem(document.getElementById('recherche_id').value);
    }else if ( document.getElementById('recherche_groupe').value != "" ){
        ListerItems(document.getElementById('recherche_groupe').value);
    }else
        ListerItems(<?php echo $first_group;?>);
}

//###########
//## FUNCTION : prepare new folder dialogbox
//###########
function open_add_group_div() {
    $('#div_ajout_rep').dialog('open');
}

//###########
//## FUNCTION : prepare editing folder dialogbox
//###########
function open_edit_group_div() {
    $('#div_editer_rep').dialog('open');
}

//###########
//## FUNCTION : prepare delete folder dialogbox
//###########
function open_del_group_div() {
    $('#div_supprimer_rep').dialog('open');
}

//###########
//## FUNCTION : prepare new item dialogbox
//###########
function open_add_item_div() {
    LoadingPage();
    
    //Select the actual forlder in the dialogbox
    var liste = document.getElementById('categorie');
    for (var i=0; i<liste.length; i++) {
       if ( liste.options[i].value == document.getElementById('hid_cat').value ) {
        liste.options[i].selected = true;
        RecupComplexite(document.getElementById('hid_cat').value,0);
        break;
       }
   }
   
   //Rebuild the description editor
   var data = "type=rebuild_description_textarea"+
                "&id=desc";
   httpRequest("sources/items.queries.php",data);
}

//###########
//## FUNCTION : prepare editing item dialogbox
//###########
function open_edit_item_div() {
    LoadingPage(); 
    $('#edit_display_title').html(document.getElementById('hid_label').value);
    document.getElementById('edit_label').value = document.getElementById('hid_label').value;
   document.getElementById('edit_desc').value = document.getElementById('hid_desc').value;
   document.getElementById('edit_pw1').value = document.getElementById('hid_pw').value;
   document.getElementById('edit_pw2').value = document.getElementById('hid_pw').value;
   document.getElementById('edit_item_login').value = document.getElementById('hid_login').value;
   document.getElementById('edit_url').value = document.getElementById('hid_url').value;
   document.getElementById('edit_categorie').value = document.getElementById('id_categorie').value;
   document.getElementById('edit_restricted_to').value = document.getElementById('hid_restricted_to').value;
   document.getElementById('edit_tags').value = document.getElementById('hid_tags').value;
   document.getElementById('edit_personal_salt_key').value = "<?php if (isset($_SESSION['salt_key'])) echo $_SESSION['salt_key'];?>";       
   
   //recharger la complexit du mdp affich
   runPassword(document.getElementById('edit_pw1').value, 'edit_mypassword');
   
   //rcuprer la complexit des mdp de ce groupe
   RecupComplexite(document.getElementById('hid_cat').value,1);
   
   //charger la liste des personnes dans la liste de restriction
   var myselect = document.getElementById('edit_restricted_to_list');
   myselect.options.length = 0;
   var liste = document.getElementById('input_liste_utilisateurs').value.split(';');
   for (var i=0; i<liste.length; i++) {
       var elem = liste[i].split('.');
       if ( elem[0] != "" ){
           myselect.options[myselect.options.length] = new Option(elem[1], elem[0]);
           var index = document.getElementById('edit_restricted_to').value.lastIndexOf(elem[0]+";");
           if ( index != -1 ) {
               myselect.options[i].selected = true;
           }else myselect.options[i].selected = false;
       }
   }
   
   //Rebuild the description editor
   var data = "type=rebuild_description_textarea"+
                "&id=edit_desc";
    httpRequest("sources/items.queries.php",data);
}

//###########
//## FUNCTION : prepare new item dialogbox
//###########
function open_del_item_div() {
    $('#div_del_item').dialog('open');
}

//###########
//## FUNCTION : copy an existing item
//###########
function open_copy_item_div() {
    LoadingPage(); 
    $('#display_title').html(document.getElementById('hid_label').value);
    document.getElementById('label').value = document.getElementById('hid_label').value;
    document.getElementById('desc').value = document.getElementById('hid_desc').value;
    document.getElementById('pw1').value = document.getElementById('hid_pw').value;
    document.getElementById('pw2').value = document.getElementById('hid_pw').value;
    document.getElementById('item_login').value = document.getElementById('hid_login').value;
    document.getElementById('url').value = document.getElementById('hid_url').value;
    document.getElementById('categorie').value = document.getElementById('id_categorie').value;
    document.getElementById('restricted_to').value = document.getElementById('hid_restricted_to').value;
    document.getElementById('item_tags').value = document.getElementById('hid_tags').value;
    document.getElementById('personal_salt_key').value = "<?php if (isset($_SESSION['salt_key'])) echo $_SESSION['salt_key'];?>";       

    //recharger la complexit du mdp affich
    runPassword(document.getElementById('pw1').value, 'mypassword');

    //rcuprer la complexit des mdp de ce groupe
    RecupComplexite(document.getElementById('hid_cat').value,0);

    //charger la liste des personnes dans la liste de restriction
    var myselect = document.getElementById('restricted_to_list');
    myselect.options.length = 0;
    var liste = document.getElementById('input_liste_utilisateurs').value.split(';');
    for (var i=0; i<liste.length; i++) {
        var elem = liste[i].split('.');
        if ( elem[0] != "" ){
            myselect.options[myselect.options.length] = new Option(elem[1], elem[0]);
            var index = document.getElementById('restricted_to').value.lastIndexOf(elem[0]+";");
            if ( index != -1 ) 
                myselect.options[i].selected = true;
            else 
                myselect.options[i].selected = false;
        }
    }

    //Rebuild the description editor
    var data = "type=rebuild_description_textarea"+
    "&id=desc";
    httpRequest("sources/items.queries.php",data);
}

//###########
//## FUNCTION : Add to my favourites
//###########
function add_to_my_favourites(){
    //prepare buttons
    $('#menu_button_add_fav').removeAttr('disabled');
    $('#menu_button_del_fav').attr('disabled', 'disabled');
    //launch ajax query
    var data = "type=add_item_to_my_favourites"+
                "&id="+document.getElementById('id_item').value;
    httpRequest("sources/items.queries.php",data);
}

//###########
//## FUNCTION : Delete from my favourites
//###########
function delete_from_my_favourites(){
    //prepare buttons
    $('#menu_button_add_fav').removeAttr('disabled');
    $('#menu_button_del_fav').attr('disabled', 'disabled');
    //launch ajax query
    var data = "type=del_item_from_my_favourites"+
                "&id="+document.getElementById('id_item').value;
    httpRequest("sources/items.queries.php",data);
}

//###########
//## FUNCTION : Permits to start uploading files in EDIT ITEM mode
//###########
function upload_attached_files_edit_mode() {
    // Pass dynamic ITEM id
    var post_id = $('#selected_items').val();
    var user_id = $('#form_user_id').val();
    
    $('#item_edit_files_upload').uploadifySettings('scriptData', {'post_id':post_id,'user_id':user_id,'type':'modification'});
    
    // Launch upload
    $("#item_edit_files_upload").uploadifyUpload();
}

//###########
//## FUNCTION : Permits to start uploading files in NEW ITEM mode
//###########
function upload_attached_files() {
    // Pass dynamic ITEM id
    var post_id  = "";
    var user_id = $('#form_user_id').val();
    
    //generate fake id if needed
    if ( document.getElementById("random_id").value == "" ) var post_id = CreateRandomString(9,"num");
    else var post_id = $("#random_id").val();
    
    //Save fake id
    $("#random_id").val(post_id);
    
    $('#item_files_upload').uploadifySettings('scriptData', {'post_id':post_id,'user_id':user_id,'type':'creation'});
    
    // Launch upload
    $("#item_files_upload").uploadifyUpload();
}

//###########
//## FUNCTION : Permits to delete an attached file
//###########
function delete_attached_file(file_id){
    var data = "type=delete_attached_file"+
                "&file_id="+file_id;
    httpRequest("sources/items.queries.php",data);
}

//###########
//## FUNCTION : Permits to preview an attached image
//###########
PreviewImage = function(uri,title) {

  //Get the HTML Elements
  imageDialog = $("#dialog_files");
  imageTag = $('#image_files');
 
  //Split the URI so we can get the file name
  uriParts = uri.split("/");

  //Set the image src
  imageTag.attr('src', uri);
 
  //When the image has loaded, display the dialog
  imageTag.load(function(){

  imageDialog.dialog({
      modal: true,
      resizable: false,
      draggable: false,
      width: 'auto',
      title: title
    });
  });  
}

function copy_to_clipboard(elem_to_copy,item_id,icon_id){
    if ( $("#clipboard_loaded_"+icon_id).val() == "" ){
        var data = "type=copy_to_clipboard"+
                    "&elem_to_copy="+elem_to_copy+
                    "&item_id="+item_id+
                    "&icon_id="+icon_id;
        httpRequest("sources/items.queries.php",data);
    }
}

//###########
//## EXECUTE WHEN PAGE IS LOADED
//###########
$(function() {
    //Disable menu buttons
    $('#menu_button_edit_item,#menu_button_del_item,#menu_button_add_fav,#menu_button_del_fav').attr('disabled', 'disabled');
    
    // Autoresize Textareas
    //$("#desc, #edit_desc").autoResizable();
    
    //autocomplete for TAGS
    $("#item_tags, #edit_tags").focus().autocomplete('sources/items.queries.php?type=autocomplete_tags', {
        width: 300,
        multiple: true,
        matchContains: false,
        multipleSeparator: " "
    });
    
    //TreeView for FOLDERS
    $("#browser").treeview({
        collapsed: false,
        animated: "fast",
        control:"#sidetreecontrol",
        persist: "cookie",
        cookieId: "cpassman_treeview"
    });
    
    
    $("#add_folder").click(function() {
        var posit = document.getElementById('item_selected').value;
        alert($("ul").text());
    }); 
    
    $("#for_searchtext").hide();
    $("#copy_pw_done").hide();
    $("#copy_login_done").hide();
    
    //PREPARE DIALOGBOXES
    //=> ADD A NEW GROUP
    $("#div_ajout_rep").dialog({
        bgiframe: true,
        modal: true,
        autoOpen: false,
        width: 300,
        height: 250,
        title: "<?php echo $txt['item_menu_add_rep'];?>",
        buttons: {
            "<?php echo $txt['save_button'];?>": function() {
                AjouterFolder();
                $(this).dialog('close');
            },
            "<?php echo $txt['cancel_button'];?>": function() {
                $(this).dialog('close');
            }
        }
    });
    //<=
    //=> EDIT A GROUP
    $("#div_editer_rep").dialog({
        bgiframe: true,
        modal: true,
        autoOpen: false,
        width: 300,
        height: 250,
        title: "<?php echo $txt['item_menu_edi_rep'];?>",
        buttons: {
            "<?php echo $txt['save_button'];?>": function() {
                EditerFolder();
                $(this).dialog('close');
            },
            "<?php echo $txt['cancel_button'];?>": function() {
                $(this).dialog('close');
            }
        }
    });
    //<=
    //=> DELETE A GROUP
    $("#div_supprimer_rep").dialog({
        bgiframe: true,
        modal: true,
        autoOpen: false,
        width: 300,
        height: 200,
        title: "<?php echo $txt['item_menu_del_rep'];?>",
        buttons: {
            "<?php echo $txt['save_button'];?>": function() {
                SupprimerFolder();
                $(this).dialog('close');
            },
            "<?php echo $txt['cancel_button'];?>": function() {
                $(this).dialog('close');
            }
        }
    });
    //<=
    //=> ADD A NEW ITEM
    $("#div_formulaire_saisi").dialog({
        bgiframe: true,
        modal: true,
        autoOpen: false,
        width: 505,
        height: 600,
        title: "<?php echo $txt['item_menu_add_elem'];?>",
        buttons: {
            "<?php echo $txt['save_button'];?>": function() {
                AjouterItem();
            },
            "<?php echo $txt['cancel_button'];?>": function() {
                //Clear upload queue
                $('#item_file_queue').html('');
                //Select 1st tab
                $( "#item_tabs" ).tabs({ selected: 0 });
                $(this).dialog('close');
            }
        }
    });
    //<=
    //=> EDITER UN ELEMENT
    $("#div_formulaire_edition_item").dialog({
        bgiframe: true,
        modal: true,
        autoOpen: false,
        width: 505,
        height: 600,
        title: "<?php echo $txt['item_menu_edi_elem'];?>",
        buttons: {
            "<?php echo $txt['save_button'];?>": function() {
                EditerItem();
            },
            "<?php echo $txt['cancel_button'];?>": function() {
                //Clear upload queue
                $('#item_edit_file_queue').html('');
                //Select 1st tab
                $( "#item_edit_tabs" ).tabs({ selected: 0 });
                //Cloase dialog box
                $(this).dialog('close');
            }
        }
    });
    //<=
    //=> SUPPRIMER UN ELEMENT
    $("#div_del_item").dialog({
        bgiframe: true,
        modal: true,
        autoOpen: false,
        width: 300,
        height: 150,
        title: "<?php echo $txt['item_menu_del_elem'];?>",
        buttons: {
            "<?php echo $txt['del_button'];?>": function() {
                var data = "type=del_item"+
                            "&groupe="+document.getElementById('hid_cat').value+
                            "&id="+document.getElementById('id_item').value;
                httpRequest("sources/items.queries.php",data);
                $(this).dialog('close');
            },
            "<?php echo $txt['cancel_button'];?>": function() {
                $(this).dialog('close');
            }
        }
    });
    //<=
    //=> SHOW LINK COPIED DIALOG
    $("#div_item_copied").dialog({
        bgiframe: true,
        modal: true,
        autoOpen: false,
        width: 500,
        height: 200,
        title: "<?php echo $txt['admin_main'];?>",
        buttons: {
            "<?php echo $txt['close'];?>": function() {
                $(this).dialog('close');
            }
        }
    });
    //<=
    
    //automatic height
    var hauteur = $(window).height();
    $("#div_items, #content").height( (hauteur-150) );
    $("#content_1").height( (hauteur-400) );
    $("#liste_des_items").height(hauteur-420);
    $("#sidebar").height(hauteur-170);        
    
    //display first group items
    AfficherRecherche();
    
    //CALL TO UPLOADIFY FOR FILES UPLOAD in EDIT ITEM
    $("#item_edit_files_upload").uploadify({
        "uploader"  : "includes/libraries/uploadify/uploadify.swf",
        "script"    : "includes/libraries/uploadify/uploadify.php",
        "cancelImg" : "includes/libraries/uploadify/cancel.png",
        "auto"      : false,
        "multi"     : true,
        "folder"    : "upload",
        "sizeLimit" : 16777216,
        "queueID"   : "item_edit_file_queue",
        "onComplete": function(event, queueID, fileObj, reponse, data){document.getElementById("item_edit_list_files").append(fileObj.name+"<br />");},
        "buttonText": "<?php echo $txt['upload_button_text'];?>"
    });
    
    //CALL TO UPLOADIFY FOR FILES UPLOAD in NEW ITEM
    $("#item_files_upload").uploadify({
        "uploader"  : "includes/libraries/uploadify/uploadify.swf",
        "script"    : "includes/libraries/uploadify/uploadify.php",
        "cancelImg" : "includes/libraries/uploadify/cancel.png",
        "auto"      : false,
        "multi"     : true,
        "folder"    : "upload",
        "sizeLimit" : 16777216,
        "queueID"   : "item_file_queue",
        "onComplete": function(event, queueID, fileObj, reponse, data){document.getElementById("item_files_upload").append(fileObj.name+"<br />");},
        "buttonText": "<?php echo $txt['upload_button_text'];?>"
    });

});
</script>
