<?php
### ENGLISH LANGUAGE FILE ###

global $txt;
//v1.61
$txt['update_needed_mode_admin'] = "It is recommanded to update your cPassMan installation. Click <a href='install/upgrade.php'>HERE</a>";
//v1.60
$txt['settings_maintenance_mode'] = "Set cPassMan in Maintenance mode";
$txt['settings_maintenance_mode_tip'] = "This mode will refuse any user connection except for Administrators.";
$txt['index_maintenance_mode'] = "Maintenance mode has been activated. Only Administrators can loggin.";
$txt['index_maintenance_mode_admin'] = "Maintenance mode is activated. Users actually can't access cPassMan.";
$txt['item_menu_copy_elem'] = "Copy item";
$txt['confirm_edit_role'] = "Please enter the name of the next role:";
$txt['new_role_title'] = "New role title";
$txt['refresh_matrix'] = "Refresh Matrix";
$txt["admin_help"] = "Help";
$txt['show_help'] = "Show Help";

//v1.53
$txt['import_keepass_to_folder'] = "Select the folder you want as destination";
$txt['admin_action_db_backup'] = "Create a backup of the database";
$txt['admin_action_db_backup_tip'] = "It is a good practice to create a backup that could be used in order to restore your database.";
$txt['admin_action_db_clean_items'] = "Remove orphan items from database";
$txt['admin_action_db_clean_items_tip'] = "This will only delete from the database the items and associated logs that have not been deleted after the associated folder has been deleted. It is suggested to create a backup before.";
$txt['admin_action_db_clean_items_result'] = " items have been deleted.";
$txt['admin_action_db_optimize'] = "Optimize the database";
$txt['admin_action_purge_old_files'] = "Purge old files";
$txt['admin_action_purge_old_files_tip'] = "This will delete all temporary files that have more than 7 days.";
$txt['admin_action_purge_old_files_result'] = " files have been deleted.";
$txt['admin_action_db_restore'] = "Restore the database";
$txt['admin_action_db_restore_tip'] = "It has to be done using an sql backup file creating with backup functionality.";
$txt['restore'] = "Restore";
$txt['pw_life_duration'] = "Users password life duration before expiration in days (0 to disable)";
$txt['admin_action_db_backup_key_tip'] = "Please enter the encryption key. Save it somewhere, it will be asked when restoring. (leave empty to not encrypt)";
$txt['admin_action_db_backup_start_tip'] = "Start";
$txt['admin_action_db_restore_key'] = "Please enter the encryption key.";
$txt['encrypt_key'] = "Encryption key";

//v.150
$txt['give_function_tip'] = "Add a new role";
$txt['visibility'] = "Visibility";
$txt['files_&_images'] = "Files &amp; Images";
$txt['upload_button_text'] = "Browse";
$txt['upload_files'] = "Upload New Files";
$txt['uploaded_files'] = "Existing Files";
$txt['at_file'] = "File"; 
$txt['at_add_file'] = "File added"; 
$txt['at_del_file'] = "File deleted"; 
$txt['start_upload'] = "Start uploading files";
$txt['definition'] = "Definition";
$txt['import_keepass_dialog_info'] = "Please use this to select an xml file directly generated from KeePass export functionality. Can only work with KeePass file! Notice that import script will not import folders or elements that already exist at the same level of tree structure.";
$txt['keepass_import_button_text'] = "Browse XML file";
$txt['delete'] = "Delete";
$txt['at_restored'] = "Restored"; 
$txt['views_confirm_items_deletion'] = "Do you really want to deleted the selected items from database?";
$txt['nb_folders'] = "Folders number";
$txt['nb_items'] = "Items number";
$txt['importing_folders'] = "Importing folders";
$txt['importing_items'] = "Importing Items";
$txt['import_kp_finished'] = "Import from KeePass is now Finished !<br />By default, the complexity level for new folders have been set to `Medium`. Perhaps will you need to change it.";
$txt['importing_details'] = "List of details";
$txt['none'] = "None";
$txt['import_error_no_read_possible_kp'] = "Can't read the file! It must be a KeePass file.";
$txt['admin_error_no_visibility'] = "No one can see this item. (<a href='index.php?page=manage_functions'>Customize roles</a>)";
$txt['add_role_tip'] = "Add a new role.";
$txt['admin_error_no_complexity'] = " (<a href='index.php?page=manage_groups'>Define?</a>)";

//v1.40
$txt['import_csv_menu_title'] = "Import Items from file (CSV/KeePass XML)";
$txt['import_csv_dialog_info'] = "Information: importation must be done using a csv file. Typically a file exported from Keepass has the expected structure.<br />If you use a file generated by another tool, please check that csv structure has to be the next: `Account`,`Login Name`,`Password`,`Web Site`,`Comments`.";
$txt['import_button'] = "Import";
$txt['import_error_no_file'] = "You must select a file!";
$txt['import_error_no_read_possible'] = "Can't read the file!";
$txt['csv_import_button_text'] = "Browse CSV file";
$txt['import_to_folder'] = "Tick the items you want to import to folder:";
$txt['home_personal_menu'] = "Personal Actions";

//v1.30
$txt['settings_manager_edit'] = "Managers can edit and delete Items they are allowed to see";
$txt['admin_action'] = "Please validate your action";
$txt['error_password_confirmation'] = "Passwords should be the same";
$txt['confirm_del_role'] = "Please confirm the deletion of the next role:"; 
$txt['changelog'] = "Evolutions";
$txt['readme_open'] = "Open full readme file";
$txt['admin_misc_title'] = "Customize";
$txt['admin_misc_favicon'] = "Full URL to favicon file";
$txt['admin_misc_cpassman_dir'] = "Full path to cPassMan";
$txt['admin_misc_cpassman_url'] = "Full URL to cPassMan";
$txt['error_cpassman_dir'] = "No path for cPassMan is set. Please select 'cPassMan settings' tab in Admin Settings page.";
$txt['error_cpassman_url'] = "No URL for cPassMan is set. Please select 'cPassMan settings' tab in Admin Settings page.";
$txt['login_copied_clipboard'] = "Login copied in clipboard"; 
$txt['group_pw_duration'] = "Renewal period";
$txt['group_pw_duration_tip'] = "In months. Use 0 to disable.";
$txt['error_renawal_period_not_integer'] = "Renewal period should be expressed in months!";
$txt['renewal_menu'] = "Renewal follow-up";
$txt['renewal_selection_text'] = "List all items that will expire:";
$txt['expir_today'] = "today";
$txt['expir_one_month'] = "one month";
$txt['expir_six_months'] = "6 months";
$txt['expir_one_year'] = "one year";
$txt['generate_pdf'] = "Generate a PDF file";
$txt['renewal_needed_pdf_title'] = "List of Items that need to be renewed";
$txt['creation_date'] = "Creation date";
$txt['expiration_date'] = "Expiration date";
$txt['admin_setting_activate_expiration'] = "Enable passwords expiration";
$txt['admin_setting_activate_expiration_tip'] = "When enabled, items expired will not been displayed to users.";
$txt['not_allowed_to_see_pw_is_expired'] = "This item has expired!";
$txt['pw_is_expired_-_update_it'] = "This item has expired! You need to change its password.";
$txt['forgot_my_pw'] = "Forgot your password?";
$txt['forgot_my_pw_text'] = "Your password will be sent to the email associated to your account.";
$txt['forgot_my_pw_error_email_not_exist'] = "This email doesn't exist!";
$txt['forgot_my_pw_email_sent'] = "Email has been sent";
$txt['forgot_pw_email_subject'] = "cPassMan - Your password";
$txt['send'] = "Send";
$txt['forgot_pw_email_altbody_1'] = "Hi, Your identification items for cPassMan are:";
$txt['forgot_pw_email_body_1'] = "Hi, <br /><br />Your identification items for cPassMan are:<br /><br />";
$txt['url_copied'] = "Url has been copied!";

//V1.25
$txt['number_of_used_pw'] = "Number of new passwords a user has to enter before reusing an old one.";
$txt['admin_info_loading'] = "Loading data ... please wait";

//v1.24
$txt['error_salt'] = "<b>The SALT KEY is too long! Please don't use the tool until an Admin has modified the salt key.</b> In settings.php file, SALT should not be longer than 32 characters.";

//v1.20
$txt['select_language'] = "Select your language";
$txt['pages'] = "Pages";
$txt['link_copy'] = "Get a link to this item";
$txt['link_is_copied'] = "The link to this Item has been copied in clipboard.";
$txt['close'] = "Close";

//v1.11
$txt['duplicate_folder'] = 'Authorize to have several folders with the same name.';
$txt['duplicate_item'] = 'Authorize to have several items with the same name.';

//new 1.10
$txt['tags'] = "Tags";
$txt['error_tags'] = "No punctuation characters allowed in TAGS! Only space.";
$txt['error_mysql'] = "Mysql Error!";
$txt['ok'] = "OK";
$txt['settings_log_connections'] = "Enable log into database all users connections.";
$txt['logs_passwords'] = "Generate Passwords Log";
$txt['date'] = "Date";
$txt['user'] = "User";
$txt['disconnection'] = "Disconnection";
$txt['connection'] = "Connection";
$txt['errors'] = "errors";
$txt['connections'] = "connections";
$txt['date_format'] = "Date format";
$txt['time_format'] = "Time format";
$txt['error_no_folders'] = "You should start by creating some folders.";
$txt['error_no_roles'] = "You should also create some roles and associate them to folders.";
$txt['error_no_password'] = "You need to enter your password!";
$txt['admin_actions_title'] = "Specific Actions";
$txt['admin_action_check_pf'] = "Actualize Personal Folders for all users (creates them is not exist)";
$txt['done'] = "Done";
$txt['mask_pw'] = "Mask/Display the password";
$txt['item_menu_copy_pw'] = "Copy password";
$txt['item_menu_copy_login'] = "Copy login";
$txt['item_menu_mask_pw'] = "mask password";
//----


$txt['user_alarm_no_function'] = "This user has no Roles!";
$txt['function_alarm_no_group'] = "This role is not associated to any Folder!";
$txt['index_pw_level_txt'] = "Complexity";
$txt['index_pw_error_identical'] = "The passwords have to be identical!";
$txt['my_favourites'] = "My favourites";
$txt['item_menu_add_to_fav'] = "Add to Favourites";
$txt['item_menu_del_from_fav'] = "Delete from Favourites";
$txt['enable_favourites'] = "Enable the Users to store Favourites";
$txt['last_items_title'] = "Last items seen";
$txt['no_last_items'] = "No items seen";
$txt['max_last_items'] = "Maximum number of last items seen by user (default is 10)";
$txt['admin_settings'] = "Settings";
$txt['admin_settings_title'] = "cPassMan Settings";
$txt['show_last_items'] = "Show last items block on main page";
$txt['last_items_icon_title'] = "Show/Hide Last items seen";
$txt['yes'] = "Yes";
$txt['no'] = "No";
$txt['enable_personal_folder_feature'] = "Enable Personal folder feature";
$txt['enable_personal_folder'] = "Enable Personal folder";
$txt['personal_folder'] = "Personal folder";
$txt['personal_salt_key'] = "Your personnal salt key";
$txt['personal_salt_key_info'] = "This salt key will be used to crypt and encrypt your password.<br />It is not stored in database, you are the only person who knows it.<br />So don't loose it!";
$txt['personal_salt_key_empty'] = "Personal salt key has not been entered!";
$txt['info_click_to_edit'] = "Click on a cell to edit its value";
$txt['error_html_codes'] = "Some text contains HTML codes! This is not allowed.";
$txt['error_group_exist'] = "This folder already exists!";
$txt['not_defined'] = "Not defined";
$txt['email_changed'] = "Email changed!";
$txt['confirm_del_from_fav'] = "Please confirm Favourite deletion";

$txt['index_session_ending'] = "Your session will end in less than 1 minute."; 
$txt['index_alarm'] = "ALARM!!!"; 
$txt['index_identify_you'] = "Please identify you"; 
$txt['index_login'] = "Account"; 
$txt['index_password'] = "Password"; 
$txt['index_session_duration'] = "Session duration"; 
$txt['index_identify_button'] = "Enter"; 
$txt['index_session_expired'] = "Your session has expired or you are not correctly identified!"; 
$txt['index_refresh_page'] = "Refresh page"; 
$txt['index_bas_pw'] = "Bad password for this account!"; 
$txt['home'] = "Home"; 
$txt['index_expiration_in'] = "session expiration in"; 
$txt['index_add_one_hour'] = "Increment session with 1 hour"; 
$txt['index_change_pw'] = "Your password must be changed!"; 
$txt['index_change_pw_button'] = "Change"; 
$txt['index_change_pw_confirmation'] = "Confirm"; 
$txt['index_change_pw'] = "Change your password"; 
$txt['index_new_pw'] = "New password"; 
$txt['pw'] = "Password"; 
$txt['show'] = "Show"; 
$txt['find'] = "Find"; 
$txt['index_last_seen'] = "Last connection, the"; 
$txt['index_last_pw_change'] = "Password changed the"; 
$txt['index_pw_expiration'] = "Actual password expiration in"; 
$txt['days'] = "days"; 
$txt['admin'] = "Administration"; 
$txt['admin_groups'] = "Folders management"; 
$txt['admin_functions'] = "Roles management"; 
$txt['admin_users'] = "Users management"; 
$txt['admin_views'] = "Views"; 
$txt['disconnect'] = "Disconnection"; 
$txt['index_welcome'] = "Welcome"; 
$txt['at'] = " at "; 
$txt['index_get_identified'] = "Please identify you"; 
$txt['cancel'] = "Cancel"; 
$txt['pw_used'] = "This password has already been used!"; 
$txt['pw_changed'] = "Password changed!"; 
$txt['label'] = "Label"; 
$txt['description'] = "Description"; 
$txt['group'] = "Folder"; 
$txt['find_text'] = "Your research"; 
$txt['cancel_button'] = "Cancel"; 
$txt['all'] = "all"; 
$txt['item_menu_add_rep'] = "Add a Folder"; 
$txt['item_menu_edi_rep'] = "Edit a Folder"; 
$txt['item_menu_del_rep'] = "Delete a Folder"; 
$txt['item_menu_find'] = "Search"; 
$txt['item_menu_refresh'] = "Refresh page"; 
$txt['item_menu_del_elem'] = "Delete item"; 
$txt['item_menu_edi_elem'] = "Edit item"; 
$txt['item_menu_add_elem'] = "Add item"; 
$txt['items_browser_title'] = "Folders"; 
$txt['pw_copy_clipboard'] = "Copy password in clipboard"; 
$txt['pw_copied_clipboard'] = "Password copied in clipboard"; 
$txt['login_copy'] = "Copy account in clipboard"; 
$txt['url'] = "Url"; 
$txt['restricted_to'] = "Restricted to"; 
$txt['history'] = "History"; 
$txt['not_allowed_to_see_pw'] = "You are not allowed to see that Item!"; 
$txt['select'] = "select"; 
$txt['complex_asked'] = "Wanted complexity"; 
$txt['used_pw'] = "Used password"; 
$txt['generation_options'] = "Generation options"; 
$txt['copy'] = "Copy"; 
$txt['numbers'] = "Numbers"; 
$txt['maj'] = "Uppercase letters"; 
$txt['symbols'] = "Symbols"; 
$txt['size'] = "Size"; 
$txt['login'] = "Login (if needed)"; 
$txt['email_announce'] = "Annouce this Item by email"; 
$txt['email_select'] = "Select persons to inform"; 
$txt['save_button'] = "Save"; 
$txt['pw_generate'] = "Generate"; 
$txt['confirm'] = "Confirm"; 
$txt['sub_group_of'] = "Dependant of"; 
$txt['complex_asked'] = "Asked complexity"; 
$txt['add_button'] = "Add"; 
$txt['new_label'] = "New label"; 
$txt['group_select'] = "Select folder"; 
$txt['modify_button'] = "Modify"; 
$txt['del_button'] = "Delete"; 
$txt['confirm_deletion'] = "Deletion asked ... are you sure?"; 
$txt['confirm_delete_group'] = "You have decided to delete this Folder and all included Items ... are you sure?"; 
$txt['email_subject'] = "Creating a new Item in Passwords Manager"; 
$txt['email_altbody_1'] = "Item"; 
$txt['email_altbody_2'] = "has been created."; 
$txt['email_body1'] = "Hi,<br><br>Item '"; 
$txt['email_body2'] = " has been created.<br /><br />You may consult it by clicking <a href=\""; 
$txt['email_body3'] = "\">HERE</a><br /><br />Regards."; 
$txt['block_last_created'] = "Last created"; 
$txt['restore'] = "Restore";

//ERRORS
$txt['error_label'] = "A label is mandatory!"; 
$txt['error_pw'] = "A password is mandatory!"; 
$txt['error_group'] = "A Folder is mandatory!"; 
$txt['error_confirm'] = "Password confirmation is not correct!"; 
$txt['error_complex_not_enought'] = "Password complexity is not enough!"; 
$txt['error_group_label'] = "The Folder must be named!"; 
$txt['error_group_complex'] = "The Folder must have a minimum required passwords complexity level!"; 
$txt['error_item_exists'] = "This Item already exists!"; 
$txt['error_fields_2'] = "The 2 fields are mandatory!"; 


//RIGHTS
$txt['level'] = "Level"; 
$txt['complexity'] = "Complexity"; 
$txt['group_parent'] = "Parent Folder"; 
$txt['del_group'] = "Delete Folder"; 
$txt['auth_creation_without_complexity'] = "Allow creating an item without respecting the wanted password complexity"; 
$txt['auth_modification_without_complexity'] = "Allow modifying an item without respecting the wanted password complexity"; 
$txt['group_title'] = "Folder label"; 
$txt['root'] = "Root"; 
$txt['add_new_group'] = "Add a new folder"; 
$txt['del_function'] = "Delete Roles"; 
$txt['authorized_groups'] = "Allowed Folders"; 
$txt['forbidden_groups'] = "Forbidden Folders"; 
$txt['assoc_authorized_groups'] = "Allowed Associated Folders"; 
$txt['assoc_forbidden_groups'] = "Forbidden Associated Folders"; 
$txt['rights_matrix'] = "Users rights matrix"; 
$txt['give_function_title'] = "Add a new Role"; 
$txt['functions'] = "Roles"; 
$txt['god'] = "GOD"; 
$txt['gestionnaire'] = "Manager"; 
$txt['user_del'] = "Delete account"; 
$txt['name'] = "Name"; 
$txt['email'] = "Email"; 
$txt['new_user_title'] = "Add a new user";
$txt['is_admin'] = "Is Admin";
$txt['is_manager'] = "Is Manager";
$txt['pw_change'] = "Change the account's password"; 
$txt['email_change'] = "Change the email's account"; 
$txt['give_new_email'] = "Please indicate new email for "; 
$txt['give_new_login'] = "Please select the account"; 
$txt['confirm_del_account'] = "You have decided to delete this Account. Are you sure?"; 
$txt['give_new_pw'] = "Please indicate the new password for "; 
$txt['change_function'] = "Change roles"; 
$txt['change_authorized_groups'] = "Change authorized folders"; 
$txt['change_forbidden_groups'] = "Change forbidden folders"; 
$txt['change_user_functions_info'] = "Select the functions associated to this account"; 
$txt['change_user_functions_title'] = "Customize associated functions"; 
$txt['change_user_autgroups_info'] = "Select the authorized folders this account can see and use"; 
$txt['change_user_autgroups_title'] = "Customize the authorized folders"; 
$txt['change_user_forgroups_info'] = "Select the forbidden folders this account can't see nor use"; 
$txt['change_user_forgroups_title'] = "Customize the forbidden folders"; 
$txt['change_group_forgroups_title'] = "Customize the forbidden folders"; 
$txt['change_group_forgroups_info'] = "Select the forbidden folders this Roles can't see and use"; 
$txt['change_group_autgroups_title'] = "Customize the authorized folders"; 
$txt['change_group_autgroups_info'] = "Select the authorized folders this Roles can see and use"; 
$txt['views_confirm_restoration'] = "Please confirm the restoration of this Item"; 
$txt['logs'] = "Logs"; 
$txt['deletion'] = "Deletions"; 
$txt['logs_1'] = "Generate the log file for the passwords renewal done the"; 
$txt['deletion_title'] = "List of Items deleted"; 
$txt['pdf_del_title'] = "Passwords renewal follow-up"; 
$txt['pdf_del_date'] = "PDF generated the "; 
$txt['author'] = "Author"; 
$txt['date'] = "Date"; 
$txt['pdf_download'] = "Download file"; 
$txt['error_not_authorized'] = "You are not allowed to see this page."; 
$txt['error_not_exists'] = "This page doesn't exist."; 

//COMPLEXITY
$txt['complex_level0'] = "Very weak"; 
$txt['complex_level1'] = "Weak"; 
$txt['complex_level2'] = "Medium"; 
$txt['complex_level3'] = "Strong"; 
$txt['complex_level4'] = "Very strong"; 
$txt['complex_level5'] = "Heavy"; 
$txt['complex_level6'] = "Very heavy"; 

//ADMIN
$txt['admin_main'] = "Informations"; 
$txt['admin_info'] = "Some informations concerning the tool"; 
$txt['nom'] = "Name"; 
$txt['version'] = "Actual version"; 
$txt['your_version'] = "Your version"; 
$txt['auteur'] = "Author"; 
$txt['please_update'] = "Please evaluate updating the tool!"; 
$txt['info'] = "Informations"; 
$txt['thku'] = "Thank you for using cPassMan!"; 

//AUDIT TRAIL
$txt['at_modification'] = "Modification"; 
$txt['at_creation'] = "Creation"; 
$txt['at_delete'] = "Deletion"; 
$txt['at_pw'] = "Password changed."; 
$txt['at_category'] = "Folder"; 
$txt['at_personnel'] = "Personnal"; 
$txt['at_description'] = "Description."; 
$txt['at_url'] = "Url"; 
$txt['at_login'] = "Login"; 
$txt['at_label'] = "Label"; 

?>
