<?php
### SPANISH LANGUAGE FILE ###

global $txt;
//v1.61
$txt['update_needed_mode_admin'] = "It is recommanded to update your cPassMan installation. Click <a href='install/upgrade.php'>HERE</a>";

//v1.60
$txt['settings_maintenance_mode'] = "Set cPassMan in Maintenance mode";
$txt['settings_maintenance_mode_tip'] = "This mode will refuse any user connection except for Administrators.";
$txt['index_maintenance_mode'] = "Maintenance mode has been activated. Only Administrators can loggin.";
$txt['index_maintenance_mode_admin'] = "Maintenance mode is activated. Users actually can't access cPassMan.";
$txt['item_menu_copy_elem'] = "Copy item";
$txt['confirm_edit_role'] = "Please enter the name of the next role:";
$txt['new_role_title'] = "New role title";
$txt['refresh_matrix'] = "Refresh Matrix";
$txt["admin_help"] = "Help";
$txt['show_help'] = "Show Help";

//v1.53
$txt['import_keepass_to_folder'] = "Select the folder you want as destination";
$txt['admin_action_db_backup'] = "Create a backup of the database";
$txt['admin_action_db_backup_tip'] = "It is a good practice to create a backup that could be used in order to restore your database.";
$txt['admin_action_db_clean_items'] = "Remove orphan items from database";
$txt['admin_action_db_clean_items_tip'] = "This will only delete from the database the items and associated logs that have not been deleted after the associated folder has been deleted. It is suggested to create a backup before.";
$txt['admin_action_db_clean_items_result'] = " items have been deleted.";
$txt['admin_action_db_optimize'] = "Optimize the database";
$txt['admin_action_purge_old_files'] = "Purge old files";
$txt['admin_action_purge_old_files_tip'] = "This will delete all temporary files that have more than 7 days.";
$txt['admin_action_purge_old_files_result'] = " files have been deleted.";
$txt['admin_action_db_restore'] = "Restore the database";
$txt['admin_action_db_restore_tip'] = "It has to be done using an sql backup file creating with backup functionality.";
$txt['restore'] = "Restore";
$txt['pw_life_duration'] = "Users password life duration before expiration in days (0 to disable)";
$txt['admin_action_db_backup_key_tip'] = "Please enter the encryption key. Save it somewhere, it will be asked when restoring. (leave empty to not encrypt)";
$txt['admin_action_db_backup_start_tip'] = "Start";
$txt['admin_action_db_restore_key'] = "Please enter the encryption key.";
$txt['encrypt_key'] = "Encryption key";

//v.150
$txt['give_function_tip'] = "Add a new role";
$txt['visibility'] = "Visibility";
$txt['files_&_images'] = "Files &amp; Images";
$txt['upload_button_text'] = "Browse";
$txt['upload_files'] = "Upload New Files";
$txt['uploaded_files'] = "Existing Files";
$txt['at_file'] = "File"; 
$txt['at_add_file'] = "File added"; 
$txt['at_del_file'] = "File deleted"; 
$txt['start_upload'] = "Start uploading files";
$txt['definition'] = "Definition";
$txt['import_keepass_dialog_info'] = "Please use this to select an xml file directly generated from KeePass export functionality. Can only work with KeePass file!<br />Notice that import script will not import folders or elements that already exist at the same level of tree structure.";
$txt['keepass_import_button_text'] = "Browse XML file";
$txt['delete'] = "Delete";
$txt['at_restored'] = "Restored"; 
$txt['views_confirm_items_deletion'] = "Do you really want to deleted the selected items from database?";
$txt['nb_folders'] = "Folders number";
$txt['nb_items'] = "Items number";
$txt['importing_folders'] = "Importing folders";
$txt['importing_items'] = "Importing Items";
$txt['import_kp_finished'] = "Import from KeePass is now Finished !<br />By default, the complexity level for new folders have been set to `Medium`. Perhaps will you need to change it.";
$txt['importing_details'] = "List of details";
$txt['none'] = "None";
$txt['import_error_no_read_possible_kp'] = "Can't read the file! It must be a KeePass file.";
$txt['admin_error_no_visibility'] = "No one can see this item. (<a href='index.php?page=manage_functions'>Customize roles</a>)";
$txt['add_role_tip'] = "Add a new role.";
$txt['admin_error_no_complexity'] = " (<a href='index.php?page=manage_groups'>Define complexity</a>)";

//v1.40
$txt['import_csv_menu_title'] = "Import Items from CSV file";
$txt['import_csv_dialog_info'] = "Information: importation must be done using a csv file. Typically a file exported from Keepass has the expected structure.<br />If you use a file generated by another tool, please check that csv structure has to be the next: `Account`,`Login Name`,`Password`,`Web Site`,`Comments`.";
$txt['select_csv_file'] = "Please select your file:";
$txt['import_button'] = "Import";
$txt['import_error_no_file'] = "You must select a file!";
$txt['import_error_no_read_possible'] = "Can't read the file!";
$txt['import_file_done'] = "File has been uploaded";
$txt['import_button_text'] = "Browse CSV file";
$txt['import_to_folder'] = "Tick the items you want to import to folder:";
$txt['import_info_insertion_done'] = "Selected items have been inserted!";
$txt['home_personal_menu'] = "Personal Actions";
//v1.30
$txt['settings_manager_edit'] = "Managers can edit and delete Items they are allowed to see";
$txt['admin_action'] = "Please validate your action";
$txt['error_password_confirmation'] = "Passwords should be the same";
$txt['confirm_del_role'] = "Please confirm the deletion of the next role"; 
$txt['changelog'] = "Evolutions";
$txt['readme_open'] = "Open full readme file";
$txt['admin_misc_title'] = "Customize";
$txt['admin_misc_favicon'] = "Full URL to favicon file";
$txt['admin_misc_cpassman_dir'] = "Full path to cPassMan";
$txt['admin_misc_cpassman_url'] = "Full URL to cPassMan";
$txt['error_cpassman_dir'] = "No path for cPassMan is set. Please select 'cPassMan settings' tab in Admin Settings page.";
$txt['error_cpassman_url'] = "No URL for cPassMan is set. Please select 'cPassMan settings' tab in Admin Settings page.";
$txt['login_copied_clipboard'] = "Login copied in clipboard"; 
$txt['group_pw_duration'] = "Renewal period";
$txt['group_pw_duration_tip'] = "In months. Use 0 to disable.";
$txt['error_renawal_period_not_integer'] = "Renewal period should be expressed in months!";
$txt['renewal_menu'] = "Renewal follow-up";
$txt['renewal_selection_text'] = "List all items that will expire:";
$txt['expir_allready'] = "already";
$txt['expir_today'] = "today";
$txt['expir_one_month'] = "one month";
$txt['expir_six_months'] = "6 months";
$txt['expir_one_year'] = "one year";
$txt['generate_pdf'] = "Generate a PDF file";
$txt['renewal_needed_pdf_title'] = "List of Items that need to be renewed";
$txt['creation_date'] = "Creation date";
$txt['expiration_date'] = "Expiration date";
$txt['admin_setting_activate_expiration'] = "Enable passwords expiration";
$txt['admin_setting_activate_expiration_tip'] = "When enabled, items expired will not been displayed to users.";
$txt['not_allowed_to_see_pw_is_expired'] = "This item has expired!";
$txt['pw_is_expired_-_update_it'] = "This item has expired! You need to change its password.";
$txt['forgot_my_pw'] = "Forgot your password?";
$txt['forgot_my_pw_text'] = "Your password will sent to the email associated to your account.";
$txt['forgot_my_pw_error_email_not_exist'] = "This email doesn't exist!";
$txt['forgot_my_pw_email_sent'] = "Email has been sent";
$txt['forgot_pw_email_subject'] = "cPassMan - Your password";
$txt['send'] = "Send";
$txt['forgot_pw_email_altbody_1'] = "Hi, Your identification items for cPassMan are:";
$txt['forgot_pw_email_body_1'] = "Hi, <br /><br />Your identification items for cPassMan are:<br /><br />";
$txt['url_copied'] = "Url has been copied!";

//V1.25
$txt['number_of_used_pw'] = "Number of new passwords a user has to enter before reusing an old one.";
$txt['admin_info_loading'] = "Loading data ... please wait";

//v1.24
$txt['error_salt'] = "<b>The SALT KEY is too long! Please don't use the tool until an Admin has modified the salt key.</b> In settings.php file, SALT should not be longer than 32 characters.";

//v1.20
$txt['select_language'] = "Select your language";
$txt['pages'] = "Pages";
$txt['link_copy'] = "Get a link to this item";
$txt['link_is_copied'] = "The link to this Item has been copied in clipboard.";
$txt['close'] = "Close";

//v1.11
$txt['duplicate_folder'] = 'Authorize to have several folders with the same name.';
$txt['duplicate_item'] = 'Authorize to have several items with the same name.';

//new 1.10
$txt['tags'] = "Etiquetas";
$txt['error_tags'] = "No se permiten signos de puntuacin en las Etiquetas! Slo espacios.";
$txt['error_mysql'] = "Error Mysql!";
$txt['ok'] = "Aceptar";
$txt['settings_log_connections'] = "Habilitar el log de las conexiones de usuarios en la base de datos";
$txt['logs_passwords'] = "Generar archivo de log de Contraseas";
$txt['date'] = "Fecha";
$txt['user'] = "Usuario";
$txt['disconnection'] = "Desconexin";
$txt['connection'] = "Conexin";
$txt['errors'] = "errors";
$txt['connections'] = "conexins";
$txt['date_format'] = "Formato de fecha";
$txt['time_format'] = "Formato de hora";
$txt['error_no_folders'] = "Debera comenzar creando algunas carpetas.";
$txt['error_no_roles'] = "Tambin debera crear algunos roles y asociarlos a carpetas.";
$txt['error_no_password'] = "Tiene que introducir su contrasea!";
$txt['admin_actions_title'] = "Acciones especficas";
$txt['admin_action_check_pf'] = "Actualizar Carpetas Personales para todos los usuarios (se crearn si no existen)";
$txt['done'] = "Hecho";
$txt['mask_pw'] = "Mask/Display the password";
$txt['item_menu_copy_pw'] = "Copy password";
$txt['item_menu_copy_login'] = "Copy login";
$txt['item_menu_mask_pw'] = "mask password";
//----

//new 1.08
$txt['user_alarm_no_function'] = "Este usuario no tiene Funcion!";
$txt['function_alarm_no_group'] = "Esta funcion no esta asociada a ningun Grupo!";
$txt['index_pw_level_txt'] = "Complejidad";
$txt['index_pw_error_identical'] = "Las contraseas han de ser identicas!";
$txt['my_favourites'] = "Mis favoritos";
$txt['item_menu_add_to_fav'] = "Aadir a Favoritos";
$txt['item_menu_del_from_fav'] = "Eliminar de Favoritos";
$txt['enable_favourites'] = "Permitir a los Usuarios almacenar Favoritos";
$txt['last_items_title'] = "Ultimos items vistos";
$txt['no_last_items'] = "Ningun item visto";
$txt['max_last_items'] = "Maximo numero de ultimos items vistos por usuario (10 por defecto)";
$txt['admin_settings'] = "Configuracion";
$txt['admin_settings_title'] = "Configuracion de cPassMan";
$txt['show_last_items'] = "Mostrar bloque de ultimos items en la pagina principal";
$txt['last_items_icon_title'] = "Mostrar/Ocultar ultimos items vistos";
$txt['yes'] = "Si";
$txt['no'] = "No";
$txt['enable_personal_folder_feature'] = "Habilitar funcion Carpeta Personal";
$txt['enable_personal_folder'] = "Habilitar Carpeta Personal";
$txt['personal_folder'] = "Carpeta Personal";
$txt['personal_salt_key'] = "Su palabra codificadora personal";
$txt['personal_salt_key_info'] = "Esta palabra codificadora se utilizara para encriptar y desencriptar su contrasea.<br />No se almacena en base de datos, asi que usted es la unica persona que la sabe.<br />Asi que no la pierda ni olvide!";
$txt['personal_salt_key_empty'] = "No se ha introducido la palabra codificadora!"; 
$txt['info_click_to_edit'] = "Pulse en una celda para editar su contenido";
$txt['error_html_codes'] = "Alguno de los textos contiene cdigo HTML! No esta permitido.";
$txt['error_group_exist'] = "Este grupo ya existe!";
$txt['not_defined'] = "Sin definir";
$txt['email_changed'] = "Email cambiado!"; 
$txt['confirm_del_from_fav'] = "Por favor, confirme el borrado de Favorito";
//----

$txt['index_session_ending'] = "Su sesion terminara en menos de 1 minuto.";
$txt['index_alarm'] = "ALARMA!!!";
$txt['index_identify_you'] = "Por favor, identifiquese";
$txt['index_login'] = "Cuenta";
$txt['index_password'] = "Contrasea";
$txt['index_session_duration'] = "Duracion de la sesion";
$txt['index_identify_button'] = "Entrar";
$txt['index_session_expired'] = "Su sesion ha expirado o no esta correctamente identificado";
$txt['index_refresh_page'] = "Refrescar pagina";
$txt['index_bas_pw'] = "Contrasea erronea para esta cuenta!";
$txt['home'] = "Pagina principal";
$txt['index_expiration_in'] = "la sesion expirara en";
$txt['index_add_one_hour'] = "Incrementar en 1 hora";
$txt['index_change_pw'] = "Debe cambiar su contrasea!";
$txt['index_change_pw_button'] = "Cambiar";
$txt['index_change_pw_confirmation'] = "Confirmar";
$txt['index_change_pw'] = "Cambie su contrasea";
$txt['index_new_pw'] = "Nueva contrasea";
$txt['pw'] = "Contraseas";
$txt['show'] = "Mostrar";
$txt['find'] = "Buscar";
$txt['index_last_seen'] = "Se conecto por ultima vez, el";
$txt['index_last_pw_change'] = "Contrasea cambiada el";
$txt['index_pw_expiration'] = "La contrasea actual expirara en";
$txt['days'] = "dias";
$txt['admin'] = "Administracion";
$txt['admin_groups'] = "Administracion de Grupos";
$txt['admin_functions'] = "Administracion de Funciones";
$txt['admin_users'] = "Administracion de usuarios";
$txt['admin_views'] = "Vistas";
$txt['disconnect'] = "Desconexion";
$txt['index_welcome'] = "Bienvenido";
$txt['at'] = " a las ";
$txt['index_get_identified'] = "Por favor, identifiquese";
$txt['cancel'] = "Cancelar";
$txt['pw_used'] = "Esta contrasea ya se ha utilizado!";
$txt['pw_changed'] = "Se cambio la contrasea!";
$txt['label'] = "Etiqueta";
$txt['description'] = "Descripcion";
$txt['group'] = "Grupo";
$txt['find_text'] = "Su busqueda";
$txt['cancel_button'] = "Cancelar";
$txt['all'] = "todos";
$txt['item_menu_add_rep'] = "Aadir un Grupo";
$txt['item_menu_edi_rep'] = "Editar un Grupo";
$txt['item_menu_del_rep'] = "Borrar un Grupo";
$txt['item_menu_find'] = "Buscar";
$txt['item_menu_refresh'] = "Refrescar pagina";
$txt['item_menu_del_elem'] = "Borrar item";
$txt['item_menu_edi_elem'] = "Editar item";
$txt['item_menu_add_elem'] = "Aadir item";
$txt['items_browser_title'] = "Grupos";
$txt['pw_copy_clipboard'] = "Copiar contrasea en portapapeles";
$txt['pw_copied_clipboard'] = "Contrasea copiada en portapapeles";
$txt['login_copy'] = "Copiar cuenta en portapapeles";
$txt['url'] = "Url";
$txt['restricted_to'] = "No accede";
$txt['history'] = "Historia";
$txt['not_allowed_to_see_pw'] = "No tiene permiso para ver ese Item!";
$txt['group'] = "Grupo";
$txt['select'] = "seleccionar";
$txt['complex_asked'] = "Complejidad requerida";
$txt['used_pw'] = "Contrasea utilizada";
$txt['generation_options'] = "Opciones de generacion";
$txt['copy'] = "Copiar";
$txt['numbers'] = "Numeros";
$txt['maj'] = "Letras mayusculas";
$txt['symbols'] = "Simbolos";
$txt['size'] = "Tamao";
$txt['login'] = "Usuario (si fuera necesario)";
$txt['email_announce'] = "Anunciar este Item por email";
$txt['email_select'] = "Seleccionar las personas a las que informar";
$txt['save_button'] = "Salvar";
$txt['pw_generate'] = "Generar";
$txt['confirm'] = "Confirmar";
$txt['sub_group_of'] = "Dependiente de";
$txt['complex_asked'] = "Complejidad pedida";
$txt['add_button'] = "Aadir";
$txt['new_label'] = "Nueva etiqueta";
$txt['group_select'] = "Elegir grupo";
$txt['modify_button'] = "Modificar";
$txt['del_button'] = "Borrar";
$txt['confirm_deletion'] = "Peticion de borrado ... Esta seguro de borrar?";
$txt['confirm_delete_group'] = "Ha decidido borrar este Grupo y todos sus Items ... Esta seguro?";
$txt['email_subject'] = "Creando un nuevo Item en Administrador de Contraseas";
$txt['email_altbody_1'] = "Item";
$txt['email_altbody_2'] = "se ha creado.";
$txt['email_body1'] = "Hi,<br><br>Item '";
$txt['email_body2'] = " se ha creado.<br /><br />Puedo consultarlo pulsando <a href=\"";
$txt['email_body3'] = "\">AQUI</a><br /><br />Un saludo.";
$txt['block_last_created'] = "Items creados recientemente";
$txt['restore'] = "Restaurar";

//ERRORS
$txt['error_label'] = "Se necesita una Etiqueta!";
$txt['error_pw'] = "Se necesita una Contrasea!";
$txt['error_group'] = "Se necesita un Grupo!";
$txt['error_confirm'] = "La confirmacion de la Contrasea no es correcta!";
$txt['error_complex_not_enought'] = "La complejidad de la Contrasea no es suficiente!";
$txt['error_group_label'] = "El Grupo ha de tener un nombre!";
$txt['error_group_complex'] = "El Grupo ha de tener un nivel de complejidad de contrasea minimo requerido!";
$txt['error_item_exists'] = "Este item ya existe!";
$txt['error_fields_2'] = "Ambos campos son obligatorios!";


//RIGHTS
$txt['level'] = "Nivel";
$txt['complexity'] = "Complejidad";
$txt['group_parent'] = "Grupo Padre";
$txt['del_group'] = "Borrar Grupo";
$txt['auth_creation_without_complexity'] = "Permitir la creacion de un item sin respetar la complejidad de contrasea requerida";
$txt['auth_modification_without_complexity'] = "Permitir modificar un item sin respetar la complejidad de contrasea requerida";
$txt['group_title'] = "Etiqueta de Grupo";
$txt['root'] = "Raiz";
$txt['add_new_group'] = "Aadir un nuevo Grupo";
$txt['del_function'] = "Borrar Funcion";
$txt['authorized_groups'] = "Grupos Permitidos";
$txt['forbidden_groups'] = "Grupos Prohibidos";
$txt['assoc_authorized_groups'] = "Grupos Asociados Permitidos";
$txt['assoc_forbidden_groups'] = "Grupos Asociados Prohibidos";
$txt['rights_matrix'] = "Matriz de permisos de usuarios";
$txt['give_function_title'] = "Aadir una nueva Funcion";
$txt['confirm_function_deletion'] = "Ha decidido eliminar la Funcion. Esta seguro?";
$txt['functions'] = "Funciones";
$txt['god'] = "Administrador";
$txt['gestionnaire'] = "Gestor";
$txt['user_del'] = "Borrar cuenta";
$txt['name'] = "Nombre";
$txt['email'] = "Email";
$txt['new_user_title'] = "Aadir un nuevo usuario";
$txt['is_admin'] = "Es Administrador";
$txt['is_manager'] = "Es Gestor";
$txt['pw_change'] = "Cambiar la contrasea de la cuenta";
$txt['email_change'] = "Cambiar la cuenta de email";
$txt['give_new_email'] = "Por favor, indique el nuevo email";
$txt['give_new_login'] = "Por favor, elija la cuenta";
$txt['confirm_del_account'] = "Ha decidido borrar esta Cuenta. Esta seguro?";
$txt['give_new_pw'] = "Por favor, indique la nueva contrasea";
$txt['change_function'] = "Cambiar Funciones";
$txt['change_authorized_groups'] = "Cambiar Grupos autorizados";
$txt['change_forbidden_groups'] = "Cambiar Grupos prohibidos";
$txt['change_user_functions_info'] = "Elija las Funciones asociadas a esta cuenta";
$txt['change_user_functions_title'] = "Personalizar Funciones asociadas";
$txt['change_user_autgroups_info'] = "Elija los grupos autorizados que esta cuenta puede ver y utilizar";
$txt['change_user_autgroups_title'] = "Personalizar los grupos autorizados";
$txt['change_user_forgroups_info'] = "Elija los grupos prohibidos que esta cuenta no puede usar ni ver";
$txt['change_user_forgroups_title'] = "Personalizar los grupos prohibidos";
$txt['change_group_forgroups_title'] = "Personalizar los grupos prohibidos";
$txt['change_group_forgroups_info'] = "Elija los grupos prohibidos que esta Funcion no puede usar ni ver";
$txt['change_group_autgroups_title'] = "Personalizar los grupos autorizados";
$txt['change_group_autgroups_info'] = "Elija los grupos autorizados que esta Funcion puede ver y utilizar";
$txt['views_confirm_restoration'] = "Por favor, confirme la restauracion de este Item";
$txt['logs'] = "Logs";
$txt['deletion'] = "Borrados";
$txt['logs_1'] = "Generar el archivo log de las renovaciones de contrasea realizadas en la fecha";
$txt['deletion_title'] = "Lista de Items eliminados";
$txt['pdf_del_title'] = "Passwords renewal follow-up";
$txt['pdf_del_date'] = "PDF generado el ";
$txt['author'] = "Autor";
$txt['date'] = "Fecha";
$txt['pdf_download'] = "Descargar archivo";
$txt['error_not_authorized'] = "No tiene permiso para ver esta pagina.";
$txt['error_not_exists'] = "Esta pagina no existe.";

//COMPLEXITY
$txt['complex_level0'] = "Muy debil";
$txt['complex_level1'] = "Debil";
$txt['complex_level2'] = "Medio";
$txt['complex_level3'] = "Fuerte";
$txt['complex_level4'] = "Muy Fuerte";
$txt['complex_level5'] = "Heavy";
$txt['complex_level6'] = "Muy heavy";

//ADMIN
$txt['admin_main'] = "Informaciones";
$txt['admin_info'] = "Informacion general sobre la herramienta";
$txt['nom'] = "Nombre";
$txt['version'] = "Version actual";
$txt['your_version'] = "Su version";
$txt['auteur'] = "Autor";
$txt['please_update'] = "Por favor, piense en actualizar la herramienta!";
$txt['info'] = "Informacion";
$txt['thku'] = "Gracias por usar cPassMan!";

//AUDIT TRAIL
$txt['at_modification'] = "Modificacion";
$txt['at_creation'] = "Creacion";
$txt['at_delete'] = "Borrado";
$txt['at_pw'] = "Contrasea cambiada.";
$txt['at_category'] = "Grupo";
$txt['at_personnel'] = "Personal";
$txt['at_description'] = "Descripcion.";
$txt['at_url'] = "Url";
$txt['at_login'] = "Login";
$txt['at_label'] = "Etiqueta";

?> 
